# frozen_string_literal: true

class AddDefaultVcsTypeToApplicationSettings < ActiveRecord::Migration[6.0]
  DOWNTIME = false

  # gracinet: this limit has no technical reason with PostgreSQL:
  #     https://www.postgresql.org/docs/12/datatype-character.html
  # rubocop:disable Migration/AddLimitToTextColumns
  def up
    add_column :application_settings, :default_vcs_type, :text, default: "hg_git", null: false
  end
  # rubocop:enable Migration/AddLimitToTextColumns

  def down
    remove_column :application_settings, :default_vcs_type
  end
end
