---
stage: none
group: unassigned
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/engineering/ux/technical-writing/#assignments
---

# GitLab development style guides

See below for the relevant style guides, guidelines, linting, and other information for developing GitLab.

## JavaScript style guide

We use `eslint` to enforce our [JavaScript style guides](javascript.md). Our guide is based on
the excellent [Airbnb](https://github.com/airbnb/javascript) style guide with a few small
changes.

## SCSS style guide

Our [SCSS conventions](scss.md) which are enforced through [`stylelint`](https://stylelint.io).

## HTML style guide

Guidelines for writing [HTML code](html.md) consistent with the rest of the codebase.

## Vue style guide

Guidelines and conventions for Vue code may be found within the [Vue style guide](vue.md).
