# frozen_string_literal: true

class AddChecksumIntoVulnerabilityRemediations < ActiveRecord::Migration[6.0]
  DOWNTIME = false

  def change
    add_column :vulnerability_remediations, :checksum, :binary, null: false, comment: 'Stores the SHA256 checksum of the attached diff file' # rubocop:disable Rails/NotNullColumn

    add_index :vulnerability_remediations, :checksum, unique: true # rubocop:disable Migration/AddIndex (Table is empty)
  end
end
